Search processing.org:

Reference for Processing version 1.0.1+. If you have a previous version, use the reference included with your software. If you see any errors or have any comments, let us know.

Name

### cos()

Examples

    float a = 0.0;
    float inc = TWO_PI/25.0;
    for(int i=0; i<25; i++) {
      line(i*4, 50, i*4, 50+cos(a)*40.0);
      a = a + inc;
    }

Description | Calculates the cosine of an angle. This function expects the values of the angle parameter to be provided in radians (values from 0 to PI*2). Values are returned in the range -1 to 1.

Syntax

    cos(angle)

Parameters

angle | float: an angle in radians

Returns | float
Usage | Web & Application
Related | sin() tan()

Updated on November 22, 2008 08:39:25pm PST